function init(hero) {
    hero.setName("Doctor Doom/Victor Von Doom");
    hero.setTier(9);
    
    hero.setHelmet("Helmet");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Pants");
    hero.setBoots("Boots");
    
    hero.addPowers("tgheroes:doctor_doom_magic", "tgheroes:doctor_doom_suit");
	hero.addAttribute("PUNCH_DAMAGE", 5.0, 0);
    hero.addAttribute("WEAPON_DAMAGE", 1.5, 0);
    hero.addAttribute("JUMP_HEIGHT", 2.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 9.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.2, 1);

    hero.addKeyBind("SHIELD", "Forcefield", 4);
    hero.addKeyBind("CHARGED_BEAM", "Magic Blast", 1);
    hero.addKeyBind("SPELL_MENU", "Doom's Magic", 2);
    hero.addKeyBind("TELEKINESIS", "Telekinesis", 5);
    hero.addKeyBind("TELEPORT", "Teleport", 3);    
	
	hero.setTickHandler((entity, manager) => {
        manager.incrementData(entity, "fiskheroes:dyn/booster_timer", 2, entity.getData("fiskheroes:flying"));
		   });
}
